--- old/usr/src/lib/libc/port/llib-lc	Mon Aug 12 18:24:55 2013
+++ new/usr/src/lib/libc/port/llib-lc	Mon Aug 12 18:24:55 2013
@@ -23,6 +23,7 @@
  * Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2011 Nexenta Systems, Inc. All rights reserved.
  * Copyright 2013 OmniTI Computer Consulting, Inc. All rights reserved.
+ * Copyright (c) 2013 Gary Mills
  */
 
 /* LINTLIBRARY */
@@ -194,6 +195,7 @@
 char *__posix_ctime_r(const time_t *, char *);
 int __posix_ttyname_r(int, char *, size_t);
 int __posix_getlogin_r(char *, int);
+int __posix_getloginx_r(char *, int);
 
 /*
  * XPG4 versions of standard libc routines; these aren't extracted
@@ -477,7 +479,15 @@
 uint_t getisax(uint32_t *, uint_t);
 
 /* getlogin.c */
+char *getloginx(void);
+char *getloginx_r(char *, int);
+#ifdef	getlogin
+#undef	getlogin
+#endif	/* getlogin */
 char *getlogin(void);
+#ifdef	getlogin_r
+#undef	getlogin_r
+#endif	/* getlogin_r */
 char *getlogin_r(char *, int);
 
 /* getmntent.c */
